Bug 121398 - keyboard layout problems
keyboard layout problems
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-21 00:01 EDT by David Woodhouse
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:21:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2004-04-21 00:01:39 EDT
My .xmodmap doesn't work. It used to contain:
keycode 108 = ISO_Level3_Shift
keycode 222 = XF86PowerDown

On logging in, I get a dialog box saying that it's being ignored. Not
that it's been imported into some alternative configuration, but that
it's ignored -- and I have to go hunting for the GUI tool which allows
me to replace it.

I couldn't find anything in the Preferences menu which allowed me to
set those two keys. I found gnome-keyboard-layout, which seems to know
of a 'Gnome Keyboard Default' which is obtained by running xmodmap on
a _different_ file in my home directory; .gkb_default.xmm. So I
selected that, and added the two lines above to .gkb_default.xmm in
the hope that this would suffice. Unfortunately, this doesn't seem to
work either. I've given up and tend to just run 'xmodmap .xmodmap'
manually after logging in.

What is the 'correct' way to do this?

Inspired by the 'Keyboard Shortcuts' option in the Preferences menu, I
tried to set some up. I wanted to bind 'eject' to AltGr-e, and 'sleep'
to the power button, which now produces the XF86PowerDown keysym.

Unfortunately the former seems not to recognise ISO_Level3_Shift as a
modifier, so 'eject' gets bound to AltGr, not to AltGr-e.

And the latter for reasons which aren't clear to me results in a
completely non-functional keyboard after login. ssh-askpass works OK
but nothing else. Running xev on :0 from a ssh login shows that on
keypress, it's getting the following:

KeymapNotify event, serial 15, synthetic NO, window 0x0,
    keys:  0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0
           0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0
  


This state can be fixed immediately by unbinding the XF86PowerDown key
in the 'Keyboard Shortcuts'. However, it doesn't manifest itself until
after you log in again after _setting_ that binding.
Comment 1 Matthew Miller 2005-04-26 12:15:38 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Ray Strode [halfline] 2005-05-11 17:21:09 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.